Skip to main content
PATCH
/
api
/
v1
/
connected-accounts
/
{account_id}
/
limits
Update Account Limits
curl --request PATCH \
  --url https://api.example.com/api/v1/connected-accounts/{account_id}/limits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "daily_connection_limit": 100,
  "daily_message_limit": 250,
  "warmup_days": 15
}
'
import requests

url = "https://api.example.com/api/v1/connected-accounts/{account_id}/limits"

payload = {
    "daily_connection_limit": 100,
    "daily_message_limit": 250,
    "warmup_days": 15
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({daily_connection_limit: 100, daily_message_limit: 250, warmup_days: 15})
};

fetch('https://api.example.com/api/v1/connected-accounts/{account_id}/limits', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string<uuid>
required

Body

application/json

Request to update connected account daily limits.

daily_connection_limit
integer | null
Required range: 1 <= x <= 200
daily_message_limit
integer | null
Required range: 1 <= x <= 500
warmup_days
integer | null
Required range: 0 <= x <= 30

Response

Successful Response